MAKEWHATIS(8)

NAME
makewhatis - create a whatis.db database

SYNOPSIS
/usr/libexec/makewhatis [-fw] [-C file] [manpath ...]

DESCRIPTION
makewhatis strips the NAME lines from compiled or raw man(1) pages and creates a whatis.db database for use in apropos(1), whatis(1), or with man(1)'s -k option. Man pages compressed with compress(1) and gzip(1) are uncompressed before processing.

When manpath is provided multiple times, the resulting database file is generated in the first directory specified, and contains entries for all the directories.

If manpath is not provided, makewhatis parses /etc/man.conf and regenerates the whatis database files specified there. Each database file is assumed to reside in the root of the appropriate man page hierarchy.

The options are as follows:

-C file
    Use file (in man.conf(5) format) as configuration file instead of the default, /etc/man.conf.

-f  Don't spawn child processes to generate the individual database files, but do all the work synchronously in the foreground.

-w  Print warnings about input files we don't like.

FILES
whatis.db
    name of the whatis database
/etc/man.conf
    man(1) configuration file, used to get the location of the whatis databases when makewhatis is called without arguments

SEE ALSO
apropos(1), man(1), whatis(1), man.conf(5)

HISTORY
-nosplit makewhatis first appeared in NetBSD 1.0, as a shell script written by J.T. Conklin <jtc@NetBSD.org> and Thorsten Frueauf <frueauf@ira.uka.de>. Further work was done by Matthew Green, Luke Mewburn, and Chris Demetriou.

Matthias Scheler has reimplemented makewhatis in C in NetBSD 1.5.

AUTHORS
Matthias Scheler <tron@NetBSD.org>